﻿// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

// ConsoleApplication1: The simplest console application. Reads and displays an OPC item value.
//
// Find all latest examples here: https://opclabs.doc-that.com/files/onlinedocs/OPCLabs-OpcStudio/Latest/examples.html .
// Missing some example? Ask us for it on our Online Forums, https://www.opclabs.com/forum/index ! You do not have to own
// a commercial license in order to use Online Forums, and we reply to every post.

open OpcLabs.EasyOpc.DataAccess
open System

Console.WriteLine "Instantiating the client object..."
let client = new EasyDAClient()

Console.WriteLine "Reading item..."
let value = client.ReadItemValue("", "OPCLabs.KitServer.2", "Demo.Ramp")

Console.WriteLine "Displaying results..."
Console.WriteLine value

Console.WriteLine "Press Enter to continue..."
Console.ReadLine() |> ignore
